> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a metric

> Retrieve a single metric by id.



## OpenAPI

````yaml /openapi.json get /v1/metrics/{metric_id}
openapi: 3.1.0
info:
  title: Passu Public API
  summary: >-
    External read-only API for sectors, companies, events, metrics, and
    analyses.
  description: >-
    The Passu Public API is a read-only external API intended for
    server-to-server integrations.
  version: v1
servers:
  - url: https://api.passu.ai
    description: Production
security: []
tags:
  - name: auth
  - name: sectors
  - name: companies
  - name: events
  - name: metrics
  - name: analyses
paths:
  /v1/metrics/{metric_id}:
    get:
      tags:
        - metrics
      summary: Get a metric
      description: Retrieve a single metric by id.
      operationId: getMetric
      parameters:
        - name: metric_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Metric Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metric'
        '401':
          description: Authentication failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '403':
          description: Authenticated but not permitted to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Metric:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        event_id:
          type: string
          format: uuid
          title: Event Id
        metric_type:
          $ref: '#/components/schemas/MetricType'
        value:
          anyOf:
            - type: number
            - type: integer
            - type: string
            - type: 'null'
          title: Value
        attributes:
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
          type: object
          title: Attributes
        quotes:
          items:
            $ref: '#/components/schemas/Quote'
          type: array
          title: Quotes
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - event_id
        - metric_type
        - updated_at
      title: Metric
    Problem:
      properties:
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        status:
          type: integer
          title: Status
        detail:
          type: string
          title: Detail
        request_id:
          type: string
          title: Request Id
        instance:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorItem'
              type: array
            - type: 'null'
          title: Errors
      type: object
      required:
        - type
        - title
        - status
        - detail
        - request_id
      title: Problem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MetricType:
      type: string
      enum:
        - FINANCIAL_LINE_ITEM
        - LEVERAGE_TARGET
        - CURRENT_LEVERAGE
        - CAPITAL_ALLOCATION_PRIORITY
        - LIQUIDITY
        - PIK_INCOME
        - FIRST_LIEN_SHARE
        - NON_ACCRUAL_SHARE
        - FLOATING_RATE_SHARE
        - SPILLOVER_INCOME
        - UNDISTRIBUTED_NII
        - INDUSTRY_EXPOSURE
        - RETURN_ON_EQUITY
        - CHEMICALS_VOLUME
        - CHEMICALS_CAPACITY_UTILIZATION
        - PRODUCT_SEGMENT_MIX
        - END_MARKET_EXPOSURE
        - CUSTOMER_CONCENTRATION
        - GEOGRAPHIC_EXPOSURE
        - MAINTENANCE_GROWTH_CAPEX_SPLIT
        - PRIMARY_INPUT_COST_DRIVERS
        - PRODUCTION_VOLUME
        - CASH_OPERATING_COST
        - PROVED_RESERVES
        - REALIZED_PRICE_HEDGE
        - STATED_BREAKEVEN
        - RATE_BASE_CAPEX_PLAN
        - COMMS_SUBSCRIBERS_NET_ADDS
        - COMMS_ARPU_ARPA
        - COMMS_CHURN
        - COMMS_NETWORK_FOOTPRINT
        - DEBT_TO_CAPITAL
        - HOMEBUILDING_GROSS_MARGIN
        - NAV_GAV
        - TOTAL_LIABILITIES
        - SHARES_OUTSTANDING
        - PORTFOLIO_HOLDING
      title: MetricType
      description: Discriminator for the metric single-table hierarchy.
    JsonValue:
      anyOf:
        - type: boolean
        - type: integer
        - type: number
        - type: string
        - items:
            $ref: '#/components/schemas/JsonValue'
          type: array
        - additionalProperties:
            $ref: '#/components/schemas/JsonValue'
          type: object
        - type: 'null'
    Quote:
      properties:
        quote_type:
          $ref: '#/components/schemas/QuoteType'
        fact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Fact Id
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        table_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Table Name
        row_names:
          items:
            type: string
          type: array
          title: Row Names
      type: object
      required:
        - quote_type
      title: Quote
    ValidationErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ValidationErrorItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QuoteType:
      type: string
      enum:
        - TEXT
        - TABLE
        - XBRL_FACT
      title: QuoteType
      description: >-
        Public quote-type enum. Owned by the public contract, decoupled from the
        ORM enum.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````